org.bouncycastle.asn1.ocsp

## Class Signature

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.ocsp.Signature

All Implemented Interfaces:
  DEREncodable

    public class Signature
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`Signature(AlgorithmIdentifier signatureAlgorithm, DERBitString signature)`
`Signature(AlgorithmIdentifier signatureAlgorithm, DERBitString signature, ASN1Sequence certs)`
`Signature(ASN1Sequence seq)`

### Method Summary

Methods
`ASN1Sequence` `getCerts()`
`static Signature` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static Signature` `getInstance(java.lang.Object obj)`
`DERBitString` `getSignature()`
`AlgorithmIdentifier` `getSignatureAlgorithm()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Signature

    public Signature(AlgorithmIdentifier signatureAlgorithm,
             DERBitString signature)

#### Signature

    public Signature(AlgorithmIdentifier signatureAlgorithm,
             DERBitString signature,
             ASN1Sequence certs)

#### Signature

    public Signature(ASN1Sequence seq)

### Method Detail

#### getInstance

    public static Signature getInstance(ASN1TaggedObject obj,
                        boolean explicit)

#### getInstance

    public static Signature getInstance(java.lang.Object obj)

#### getSignatureAlgorithm

    public AlgorithmIdentifier getSignatureAlgorithm()

#### getSignature

    public DERBitString getSignature()

#### getCerts

    public ASN1Sequence getCerts()

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

     Signature       ::=     SEQUENCE {
         signatureAlgorithm      AlgorithmIdentifier,
         signature               BIT STRING,
         certs               [0] EXPLICIT SEQUENCE OF Certificate OPTIONAL}

Specified by:
  `toASN1Object` in class `ASN1Encodable`